package com.asahi.springframework.beans.factory.config;

/**
 * Description： Bean定义
 *
 * @ClassName BeanDefinition
 * @Author Aashi
 * @Date 2022/6/13 17:36
 * @Version 1.0
 */
public class BeanDefinition {

    /**
     * ①：目前的 Bean 定义中，只有一个 Object 用于存放 Bean 对象。如果感兴趣可以参考 Spring 源码中这个类的信息，名称都是一样的。
     * ②：不过在后面陆续的实现中会逐步完善 BeanDefinition 相关属性的填充，例如：SCOPE_SINGLETON、SCOPE_PROTOTYPE、ROLE_APPLICATION、
     * ROLE_SUPPORT、ROLE_INFRASTRUCTURE 以及 Bean Class 信息。
     *
     * 将原先的Object替换成Class，可已把Bean的实例化操作放到容器中去
     */
    private Class beanClass;

    public BeanDefinition(Class beanClass){
        this.beanClass = beanClass;
    }

    public Class getBeanClass() {
        return beanClass;
    }

    public void setBeanClass(Class beanClass) {
        this.beanClass = beanClass;
    }
}
