package com.asahi.springframework.beans.factory.config;

import java.util.HashMap;
import java.util.Map;

/**
 * Description： 获取单例对象
 *
 * @ClassName DefaultSingletonBeanRegistry
 * @Author Aashi
 * @Date 2022/6/14 13:39
 * @Version 1.0
 */
public class DefaultSingletonBeanRegistry implements SingletonBeanRegistry {

    /**
     * 定义Map存放对象
     */
    private Map<String, Object> singletonObjects = new HashMap<>();

    @Override
    public Object getSingleton(String beanName) {
        return singletonObjects.get(beanName);
    }

    protected void addSingleton(String beanName, Object singletonObject) {
        singletonObjects.put(beanName, singletonObject);
    }
}
